History

06/06/2015 12:08 pm - Alexis Bienveniie
- Target version set to 1.3.0

07/12/2015 01:44 pm - Frédéric Bréal
- File Tous_etudiants-QuestionPagesFromSubject.pdf added

- File Tous_etudiants-QuestionPagesFromCorrection.pdf added

Bonjour,
Je n'arrive pas a reproduire le probléme.

Par contre, j'ai remarqué que dans le mode _Question pages from correction_, les marges et le symbole \multisymbol ne sont pas respectés.

J'ai modifié le fichier sty comme ceci
<pre>
I.141 \deNAMC@Iloc@footnote{\thepage}

</pre>
<pre>
I. 1633 \usepackage{geometry}%\geometry{hmargin=3cm,vmargin={1cm,1cm},includeheadfoot,headheight=1cm,footskip=1cm}

</pre>

07/12/2015 02:00 pm - Frédéric Bréal

- File TestPrerempliFeuilleReponsesSeparee.tex added

- File listetestBis.csv added

Mon fichier tex.

07/12/2015 04:35 pm - Alexis Bienveniie

Pouvez-vous produire un exemple complet minimal reproduisant un ou plusieurs des problemes que vous mentionnez ?
07/12/2015 04:42 pm - Frédéric Bréal
Dans le topic #3 vous avez mon sujet avec I'ensemble de mon préambule et la liste. Normalement, je fais des input{}.

Dans le topic #2 vous avez le résultat.

Une question : est-il possible de modifier la largeur des cases uniquement pour la feuille de réponses séparée ? Dans mon exemple, j'ai pris 2.5ex
pour que les chiffres soient encadrés mais je trouve les cases trop grandes avec les chiffres a I'extérieur.
Merci

07/12/2015 05:10 pm - Alexis Bienveniie
Exemple complet _minimal_ : essayer de produire un fichier source LaTeX qui soit le plus petit possible, avec le moins de questions possible, le moins
de texte et mise en page possible, le moins de paquets utilisés possible. C'est bien plus facile d'identifier et corriger un bug quand il est isolé.

07/12/2015 07:17 pm - Frédéric Bréal
- File Tous_etudiants-DOC-correctedEffaceAvantAnnotationCopies.pdf added

- File Tous_etudiants-DOC-correctedNonEffaceApresMiseAJour.pdf added

Comme pour ma premiére réponse, je n'arrive plus a reproduire le phénomeéne.

Il'y a le fichier DOC-corrected.pdf que je dois effacer manuellement quand je modifie mon fichier tex car AMC ne l'efface pas lors de la mise a jour des
documents.

Peut-étre que cela vient de la.

J'essayerais de reproduire ce probléme.

07/29/2015 07:57 pm - Frédéric Breéal
- File TestPrerempliFeuilleReponsesSeparee.tex added

Bonsoir,

Avec le sujet simple, j'ai reproduit le bug (message 7).

Lors de la 1ére compilation/préparation puis annotation, il n'y a aucun souci.

Si je modifie le sujet .34 et 41, je rajoute I'option _[0o] _ puis reprends le processus, lors de I'annotation avec _Question pages from correction_ AMC
prend le fichier _DOC-corrected.pdf_ créé lors de la 1ére compilation.

J'ai bien conscience que reprendre un sujet déja compilé et corrigé n'est pas dans I'optique d'AMC mais je teste trés souvent mes sujets pendant
I'élaboration.
Si vous estimez qu'il n'y a pas matiére a considérer ceci comme un bug, je peux rajouter un avertissement dans le documentation.

Qu'en pensez-vous ?

Merci

07/30/2015 09:18 am - Alexis Bienveniie
> Si je modifie le sujet 1.34 et 41, je rajoute I'option [0] puis reprends le processus
Reprenez-vous le processus depuis le début (y compris la préparation), ou seulement la notation et annotation ?

07/30/2015 09:33 am - Frédéric Bréal
Depuis le début.
AMC affiche le message d'avertissement. Les fichiers DOC-sujet.pdf et DOC-corrige.pdf sont modifiés mais corrected.pdf non.

07/30/2015 10:00 am - Alexis Bienveniie
Merci pour I'analyse. Ce fichier (c'est bien @DOC-corrected.pdf@ ?), fabriqué par @AMC-annotate@, doit effectivement étre effacé lors de la
préparation des documents.

J'ai ajouté ceci dans la révision commit:8f762aac19a9 : pouvez-vous refaire un essai ?
07/30/2015 10:41 am - Frédéric Bréal

Cela fonctionne.

HS : j'ai modifié directement, aprés une sauvegarde des originaux, les fichiers _ AMC-gui.pl_ et _AMC-prepare.pl_ qui se trouvent dans

_/usr/lib/AMC/perl_ car les commandes pour installer me renvoient a chaque fois une erreur que je n'arrive pas a régler. Est-ce que cela pose un

probleme avec ma version ?

Merci

01/06/2016 09:31 am - Alexis Bienveniie
- % Done changed from 0 to 100

- Status changed from New to Closed
